
// Here we avoid loading the header multiple times
#ifndef PLASMOID_HEADER
#define PLASMOID_HEADER

#include <Plasma/Applet>
#include <Plasma/DataEngine>

class QString;
namespace Plasma {
    class Label;
}

class Plasmoid : public Plasma::Applet
{
    Q_OBJECT
    public:
        Plasmoid(QObject *parent, const QVariantList &args);
        ~Plasmoid();
        
    public slots:
        void dataUpdated(const QString &sourceName, const Plasma::DataEngine::Data &data);
        
    private:
        Plasma::Label *m_rssTitle;
};
 
// This is the command that links your applet to the .desktop file
K_EXPORT_PLASMA_APPLET(plasmoid, Plasmoid)

#endif
